Types.FrequencyType (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.scheduler

## Class Types.FrequencyType

- java.lang.Object
- - org.gcube.datatransfer.common.scheduler.Types.FrequencyType

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Types

      public static class Types.FrequencyType
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_perDay`
    `static String` | `_perHour`
    `static String` | `_perMinute`
    `static String` | `_perMonth`
    `static String` | `_perWeek`
    `static String` | `_perYear`
    `static Types.FrequencyType` | `perDay`
    `static Types.FrequencyType` | `perHour`
    `static Types.FrequencyType` | `perMinute`
    `static Types.FrequencyType` | `perMonth`
    `static Types.FrequencyType` | `perWeek`
    `static Types.FrequencyType` | `perYear`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Types.FrequencyType(String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static Types.FrequencyType` | `fromString(String value)`
    `static Types.FrequencyType` | `fromValue(String value)`
    `String` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _perMinute

          public static final String _perMinute

      See Also:
        Constant Field Values

    - #### _perHour

          public static final String _perHour

      See Also:
        Constant Field Values

    - #### _perDay

          public static final String _perDay

      See Also:
        Constant Field Values

    - #### _perWeek

          public static final String _perWeek

      See Also:
        Constant Field Values

    - #### _perMonth

          public static final String _perMonth

      See Also:
        Constant Field Values

    - #### _perYear

          public static final String _perYear

      See Also:
        Constant Field Values

    - #### perMinute

          public static final Types.FrequencyType perMinute

    - #### perHour

          public static final Types.FrequencyType perHour

    - #### perDay

          public static final Types.FrequencyType perDay

    - #### perWeek

          public static final Types.FrequencyType perWeek

    - #### perMonth

          public static final Types.FrequencyType perMonth

    - #### perYear

          public static final Types.FrequencyType perYear

  - ### Constructor Detail

    - #### Types.FrequencyType

          protected Types.FrequencyType(String value)

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### fromValue

          public static Types.FrequencyType fromValue(String value)
                                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### fromString

          public static Types.FrequencyType fromString(String value)
                                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015. All Rights Reserved.